Bug 536309 - (RHQ-673) agent-side maintenance mode
agent-side maintenance mode
Status: CLOSED DEFERRED
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: RHQ-644
  Show dependency treegraph
 
Reported: 2008-07-14 17:23 EDT by Joseph Marques
Modified: 2014-05-15 16:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 16:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-07-14 17:23:00 EDT
support a "soft" maintenance mode:

* pputting the agents not servers into a maintenance mode
** suppress proactive elements - scheduled ops, etc - from triggering for resources on this agent
** suppress reactive elements - alerting, etc - from firing for resources on this agent

this is useful for when you know you will be performing maintenance on some managed server and you want to suppress non-monitoring effects you have registered against resources managed by that agent
Comment 1 Red Hat Bugzilla 2009-11-10 16:14:29 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-673
This bug is incorporated by RHQ-620
Comment 4 Jay Shaughnessy 2014-05-15 16:17:03 EDT
The alerting issue around planned outages are captured in other places.  This bug can be closed, future alerting work will open its own issues as needed.

Note You need to log in before you can comment on or make changes to this bug.